using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.WB;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.WB
{
    /// <summary>
    /// 导航：附件
    /// </summary>
    [Description("导航：附件")]
    public class T_WB_SAFE_CHECK_FILE : MesEntityBase
    {
        /// <summary>
        /// 外包单位安全检查记录
        /// </summary>
        [Description("外包单位安全检查记录")]
        [DataFieldForeignKey("Nav_Parent", "Nav_Files")]
        public Guid PARENT_ID { get; set; }
        /// <summary>
        /// 导航: 外包单位安全检查记录
        /// </summary>
        [Description("导航: 外包单位安全检查记录")]
        public T_WB_SAFE_CHECK Nav_Parent { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航: 附件
        /// </summary>
        [Description("导航: 附件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
